/*
 * or4.h
 *
 *  Created on: 15-02-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef OR4_H_
#define OR4_H_

#include "tdefs.h"

struct or4_logic
{
	u8 *in[4];
	u8 in_bit_mask[4];

	u8 *out;
	u8 out_bit_mask;
};

struct or4_io
{
	u32 in1_in;
	u32 in2_in;
	u32 in3_in;
	u32 in4_in;
	u32 out_out;
}__attribute__((__packed__));

struct or4_params
{
}__attribute__((__packed__));

struct or4_args
{
	struct or4_io io;
	struct or4_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void or4(void *args, void *logic);
extern int or4_initlog(void *arguments, void *logic);

#endif /* OR4_H_ */
